<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Makrualrek extends CI_Model
{

    public $table = 'tb_spe_ref_akrual_rek_all';
    public $id = '';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        
	$this->db->or_like('Kd_Rek_1', $q);
	$this->db->or_like('Kd_Rek_2', $q);
	$this->db->or_like('Kd_Rek_3', $q);
	$this->db->or_like('Kd_Rek_4', $q);
	$this->db->or_like('Kd_Rek_5', $q);
	$this->db->or_like('Kd_Akrual_1', $q);
	$this->db->or_like('Kd_Akrual_2', $q);
	$this->db->or_like('Kd_Akrual_3', $q);
	$this->db->or_like('Kd_Akrual_4', $q);
	$this->db->or_like('Kd_Akrual_5', $q);
	$this->db->or_like('Kd_AkrualD_1', $q);
	$this->db->or_like('Kd_AkrualD_2', $q);
	$this->db->or_like('Kd_AkrualD_3', $q);
	$this->db->or_like('Kd_AkrualD_4', $q);
	$this->db->or_like('Kd_AkrualD_5', $q);
	$this->db->or_like('Kd_AkrualK_1', $q);
	$this->db->or_like('Kd_AkrualK_2', $q);
	$this->db->or_like('Kd_AkrualK_3', $q);
	$this->db->or_like('Kd_AkrualK_4', $q);
	$this->db->or_like('Kd_AkrualK_5', $q);
	$this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->id, $this->order);
        
	$this->db->or_like('Kd_Rek_1', $q);
	$this->db->or_like('Kd_Rek_2', $q);
	$this->db->or_like('Kd_Rek_3', $q);
	$this->db->or_like('Kd_Rek_4', $q);
	$this->db->or_like('Kd_Rek_5', $q);
	$this->db->or_like('Kd_Akrual_1', $q);
	$this->db->or_like('Kd_Akrual_2', $q);
	$this->db->or_like('Kd_Akrual_3', $q);
	$this->db->or_like('Kd_Akrual_4', $q);
	$this->db->or_like('Kd_Akrual_5', $q);
	$this->db->or_like('Kd_AkrualD_1', $q);
	$this->db->or_like('Kd_AkrualD_2', $q);
	$this->db->or_like('Kd_AkrualD_3', $q);
	$this->db->or_like('Kd_AkrualD_4', $q);
	$this->db->or_like('Kd_AkrualD_5', $q);
	$this->db->or_like('Kd_AkrualK_1', $q);
	$this->db->or_like('Kd_AkrualK_2', $q);
	$this->db->or_like('Kd_AkrualK_3', $q);
	$this->db->or_like('Kd_AkrualK_4', $q);
	$this->db->or_like('Kd_AkrualK_5', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
       return  $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        return   $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->delete($this->table);
    }

}

/* End of file Makrualrek.php */
/* Location: ./application/models/Makrualrek.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2018-10-29 14:05:55 */
/* http://harviacode.com */